USE MASTER 
GO 
ALTER DATABASE DB_DIRECTORY COLLATE Modern_Spanish_CI_AS
GO
ALTER DATABASE ADD_CATALOGOS COLLATE Modern_Spanish_CI_AS
GO
USE DB_DIRECTORY
GO 
IF EXISTS (SELECT COUNT(sc.object_id) FROM [DB_Directory].sys.columns sc inner join [DB_Directory].dbo.sysobjects so on sc.object_id = so.id where so.xtype = 'u' and  sc.collation_name <> 'Modern_Spanish_CI_AS')
BEGIN 
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'IC_MyCompanyProgObj'  AND SO.name = 'Schema_CompaniesProgObj')
	BEGIN 
		DROP INDEX [Schema_CompaniesProgObj].[IC_MyCompanyProgObj]
	END
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'INC_MyCompanyProgObj'  AND SO.name = 'Schema_CompaniesProgObj')
	BEGIN 
		DROP INDEX [Schema_CompaniesProgObj].[INC_MyCompanyProgObj]
	END
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'IXNC_MergeProcess'  AND SO.name = 'MergeDocs')
	BEGIN
		DROP INDEX [MergeDocs].[IXNC_MergeProcess]
	END
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'IXC_MergeProcess'  AND SO.name = 'MergeProcess')
	BEGIN
		DROP INDEX [MergeProcess].[IXC_MergeProcess]
	END
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'IXNC_MergeProcess'  AND SO.name = 'MergeProcess')
	BEGIN
		DROP INDEX [MergeProcess].[IXNC_MergeProcess]
	END
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'IXC_EFOS'  AND SO.name = 'EFOS')
	BEGIN
		DROP INDEX [EFOS].[IXC_EFOS]
	END
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'IXNC_EFOS'  AND SO.name = 'EFOS')
	BEGIN
		DROP INDEX [EFOS].[IXNC_EFOS]
	END
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'IXNC_ProcessControl'  AND SO.name = 'ProcessControl')
	BEGIN
		DROP INDEX [ProcessControl].[IXNC_ProcessControl]
	END
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'IXFKNC_Cat_MetaType'  AND SO.name = 'Cat_MetaType')
	BEGIN
		DROP INDEX [Cat_MetaType].[IXFKNC_Cat_MetaType]
	END
	IF EXISTS (SELECT 1 FROM SYSINDEXES SY INNER JOIN SYSOBJECTS SO ON SY.ID = SO.ID WHERE SY.NAME = 'IXFKNC_DatabaseDirectory'  AND SO.name = 'DatabaseDirectory')
	BEGIN
		DROP INDEX [DatabaseDirectory].[IXFKNC_DatabaseDirectory]
	END
	IF EXISTS (SELECT ID FROM SYSINDEXES WHERE NAME = 'IXFKNC_DatabaseDirectory2')
	BEGIN 
		DROP INDEX [DatabaseDirectory].[IXFKNC_DatabaseDirectory2]
	END
	ALTER TABLE [Schema_CompaniesProgObj] ALTER COLUMN [NameObj] varchar(150) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_CompaniesProgObj] ALTER COLUMN [Ver] varchar(25) COLLATE Modern_Spanish_CI_AS	
	ALTER TABLE [Certificates] ALTER COLUMN [LlavePublica] text COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Certificates] ALTER COLUMN [SubjectName] text COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Certificates] ALTER COLUMN [IssuerName] text COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_Control] ALTER COLUMN [IdObject] varchar(50) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_Control] ALTER COLUMN [CurrentVersion] varchar(10) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Templates] ALTER COLUMN [DataBaseName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Templates] ALTER COLUMN [CurrentVersion] varchar(10) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Objects] ALTER COLUMN [IdObject] varchar(2) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Objects] ALTER COLUMN [Description] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS_Version] ALTER COLUMN [Version] varchar(10) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS_Version] ALTER COLUMN [URL] varchar(250) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Tunning_InitialParameters] ALTER COLUMN [DBTemplate] varchar(50) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Tunning_ErroLog] ALTER COLUMN [DescriptionError] varchar(MAX) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TunningIdxTmp] ALTER COLUMN [TableName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TunningIdxTmp] ALTER COLUMN [IdxName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS] ALTER COLUMN [Situacion] varchar(100) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS] ALTER COLUMN [NoPublica] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS] ALTER COLUMN [NumGlobPres] varchar(250) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS] ALTER COLUMN [NumGlobContDesv] varchar(250) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS] ALTER COLUMN [PubDofDesvir] varchar(250) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS] ALTER COLUMN [NumGlobDef] varchar(250) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TempDestinationDBDetail] ALTER COLUMN [ColName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TempDestinationDBDetail] ALTER COLUMN [ColType] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [MergeDocs] ALTER COLUMN [Storage] varchar(20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [MergeDocs] ALTER COLUMN [DocType] varchar(25) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS] ALTER COLUMN [RFC] varchar(13) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [EFOS] ALTER COLUMN [Nombre] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TempDestinationDBTables] ALTER COLUMN [TableName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TempSysObj] ALTER COLUMN [Xtype] varchar(10) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TempSourceDBDetail] ALTER COLUMN [TblName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TempSourceDBDetail] ALTER COLUMN [ColName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TempSourceDBDetail] ALTER COLUMN [ColType] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [TempDestinationDBDetail] ALTER COLUMN [TblName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [ProcessControl] ALTER COLUMN [LogName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [ProcessControl] ALTER COLUMN [StatusProcess] varchar(50) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [ProcessControl] ALTER COLUMN [JSONName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Cat_Process] ALTER COLUMN [DescripcionProcces] varchar(100) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Cat_MetaType] ALTER COLUMN [MetaType] varchar(20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Cat_MetaType] ALTER COLUMN [DBStorage] varchar(20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [Alias] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [RFC] varchar(15) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [CompanyPath] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Owners] ALTER COLUMN [ApplicationType] varchar(100) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Owners] ALTER COLUMN [MemberType] varchar(12) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [ProcessControl] ALTER COLUMN [ProcessDescription] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [NombreEmpresa] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [DB_DocumentsMetadata] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [DB_DocumentsContent] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [DB_OthersMetadata] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [DB_OthersContent] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [Accesibility] varchar(20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_CompaniesProgObj] ALTER COLUMN [NameObj] varchar(150) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_CompaniesProgObj] ALTER COLUMN [XType] varchar(2) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_CompaniesProgObj] ALTER COLUMN [Ver] varchar(25) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [CatalogControlRows] ALTER COLUMN [Storage] varchar(50) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Certificates] ALTER COLUMN [NumeroSerie] varchar(40) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [DatabaseDirectory] ALTER COLUMN [Version] varchar(7) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Versions] ALTER COLUMN [ErrorDescription] varchar(200) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_Log] ALTER COLUMN [DataBaseName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_Log] ALTER COLUMN [ComponentName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_Log] ALTER COLUMN [IdObject] varchar(2) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_Log] ALTER COLUMN [Action] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_CurrentObjectIns] ALTER COLUMN [InsertSQLCommand] varchar(MAX) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Constraints] ALTER COLUMN [IdObject] varchar(2) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Views] ALTER COLUMN [ViewName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Functions] ALTER COLUMN [FunctionName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Functions] ALTER COLUMN [IdObject] varchar(2) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Versions] ALTER COLUMN [DataBaseName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Versions] ALTER COLUMN [Version] varchar(10) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Table_Detail] ALTER COLUMN [TableName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Table_Detail] ALTER COLUMN [ColumnName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Table_Detail] ALTER COLUMN [Xtype] varchar(25) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_SP] ALTER COLUMN [SPName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_SP] ALTER COLUMN [IdObject] varchar(2) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Constraints] ALTER COLUMN [ConstraintName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_TypeSpec] ALTER COLUMN [IdSpec] varchar(1) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_TypeSpec] ALTER COLUMN [DescSpec] varchar(100) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Types] ALTER COLUMN [Xtype] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Types] ALTER COLUMN [IdSpec] varchar(1) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Tables] ALTER COLUMN [TableName] varchar(255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Schema_T_DB_Inventory_Tables] ALTER COLUMN [IdObject] varchar(2) COLLATE Modern_Spanish_CI_AS
	CREATE CLUSTERED INDEX [IXC_MergeProcess]  ON [MergeProcess] ([GuidProcess_Merge])
	CREATE NONCLUSTERED INDEX [IXNC_MergeProcess] ON [MergeProcess] ([GuidProcess_Merge],[GuidMigrateProcess],[GuidCompanySource],[GuidCompanyDestination],[CancelMerge])
	CREATE NONCLUSTERED INDEX [IXNC_MergeProcess] ON [MergeDocs] ([GuidProcess_Merge],[GuidDocument],[Storage],[DocType],[Operation],[UUID])
	CREATE CLUSTERED INDEX [IC_MyCompanyProgObj]  ON [Schema_CompaniesProgObj] ([NameObj])
	CREATE NONCLUSTERED INDEX [INC_MyCompanyProgObj]  ON [Schema_CompaniesProgObj] ([NameObj],[Ver],[Template])
	CREATE CLUSTERED INDEX [IXC_EFOS] ON [dbo].[EFOS]([No] ASC)
	CREATE NONCLUSTERED INDEX [IXNC_EFOS] ON [dbo].[EFOS]([No] ASC,[RFC] ASC,[Nombre] ASC)
	CREATE NONCLUSTERED INDEX [IXNC_ProcessControl]  ON [ProcessControl] ([GuidControl],[Id_Process],[StatusProcess],[TotalExtracted],[Percentage],[TotalProcessed]) 
	CREATE NONCLUSTERED INDEX [IXFKNC_Cat_MetaType]  ON [Cat_MetaType] ([ID_Type],[MetaType],[DBStorage])
	CREATE NONCLUSTERED INDEX [IXFKNC_DatabaseDirectory] ON [DatabaseDirectory] ([GuidCompany],[idDataBase],[DB_DocumentsMetadata],[DB_DocumentsContent],[DB_OthersMetadata],[DB_OthersContent])
	CREATE NONCLUSTERED INDEX [IXFKNC_DatabaseDirectory2]  ON [DatabaseDirectory] ([GuidCompany],[idDataBase],[DB_DocumentsContent],[DB_OthersContent])
END
GO 
USE ADD_CATALOGOS
GO
IF EXISTS (SELECT COUNT(sc.object_id) FROM [ADD_Catalogos].sys.columns sc inner join [ADD_Catalogos].dbo.sysobjects so on sc.object_id = so.id where so.xtype = 'u' and  sc.collation_name <> 'Modern_Spanish_CI_AS')
BEGIN 
	DROP INDEX [IX_PeriodicidadPago] ON [c_PeriodicidadPago]
	DROP INDEX [IX_TipoRelacion] ON [c_TipoRelacion]
	DROP INDEX [IX_RegimenFiscal] ON [c_RegimenFiscal]
	DROP INDEX [IX_FormaPago] ON [c_FormaPago]
	DROP INDEX [IX_Moneda] ON [c_Moneda]
	DROP INDEX [IX_TipoRiesgo] ON [c_TipoRiesgo]
	DROP INDEX [IX_MetodoPago] ON [c_MetodoPago]
	DROP INDEX [IX_OrigenRecurso] ON [c_OrigenRecurso]
	DROP INDEX [IX_Impuesto] ON [c_Impuesto]
	DROP INDEX [IX_TipoNomina] ON [c_TipoNomina]
	DROP INDEX [IX_TipoContrato] ON [c_TipoContrato]
	DROP INDEX [IX_TipoJornada] ON [c_TipoJornada]
	DROP INDEX [IX_RiesgoPuesto] ON [c_RiesgoPuesto]
	DROP INDEX [IX_Banco] ON [c_Banco]
	DROP INDEX [IX_Estado] ON [c_Estado]
	DROP INDEX [IX_TipoDeduccion] ON [c_TipoDeduccion]
	DROP INDEX [IX_TipoOtroPago] ON [c_TipoOtroPago]
	DROP INDEX [IX_TipoPercepcion] ON [c_TipoPercepcion]
	DROP INDEX [IX_TipoCadena] ON [c_TipoCadena]
	DROP INDEX [IX_CodigoPostal] ON [c_CodigoPostal]
	DROP INDEX [IX_ClaveProdServ] ON [c_ClaveProdServ]
	DROP INDEX [IX_ClaveUnidad] ON [c_ClaveUnidad]
	DROP INDEX [IX_TipoIncapacidad] ON [c_TipoIncapacidad]
	DROP INDEX [IX_TipoHoras] ON [c_TipoHoras]
	DROP INDEX [IX_Pais] ON [c_Pais]
	DROP INDEX [IX_Retencion] ON [c_Retenciones]
	DROP INDEX [IX_UsoCfdi] ON [c_UsoCfdi]
	DROP INDEX [IX_RetencionesImpuestos] ON [c_RetencionesImpuestos]
	DROP INDEX [IX_Regimen] ON [c_Regimen]
	DROP INDEX [IX_TipoDeComprobante] ON [c_TipoDeComprobante]
	DROP INDEX [IX_CatPlanesDeRetiro] ON [c_TipoAportODep]
	DROP INDEX [IX_c_Aduanas] ON [c_Aduanas]
	DROP INDEX [IX_c_CFDIBancoR] ON [c_CFDIBancoR]
	DROP INDEX [IX_c_CodAgrup] ON [c_CodAgrup]
	DROP INDEX [IX_c_CatCodMoneda] ON [c_CatCodMoneda]
	DROP INDEX [IX_c_ConceptoPago] ON [c_ConceptoPago]
	DROP INDEX [IX_c_CveTipDivOUtil] ON [c_CveTipDivOUtil]
	DROP INDEX [IX_c_MetPag] ON [c_MetPag]
	DROP INDEX [IX_c_UnidadAduana] ON [c_UnidadAduana]	
	DROP INDEX [IX_Control] ON [Control]
	DROP INDEX [IXNC_PeriodicidadPago] ON [c_PeriodicidadPago]
	DROP INDEX [IXNCR_PeriodicidadPago] ON [c_PeriodicidadPago]
	DROP INDEX [IXNC_TipoRelacion] ON [c_TipoRelacion]
	DROP INDEX [IXNCR_TipoRelacion] ON [c_TipoRelacion]
	DROP INDEX [IXNC_RegimenFiscal] ON [c_RegimenFiscal]
	DROP INDEX [IXNCR_RegimenFiscal] ON [c_RegimenFiscal]
	DROP INDEX [IXNC_FormaPago] ON [c_FormaPago]
	DROP INDEX [IXNCR_FormaPago] ON [c_FormaPago]
	DROP INDEX [IXNC_Moneda] ON [c_Moneda]
	DROP INDEX [IXNCR_Moneda] ON [c_Moneda]
	DROP INDEX [IXNC_TipoRiesgo] ON [c_TipoRiesgo]
	DROP INDEX [IXNCR_TipoRiesgo] ON [c_TipoRiesgo]
	DROP INDEX [IXNC_MetodoPago] ON [c_MetodoPago]
	DROP INDEX [IXNCR_MetodoPago] ON [c_MetodoPago]
	DROP INDEX [IXNC_OrigenRecurso] ON [c_OrigenRecurso]
	DROP INDEX [IXNCR_OrigenRecurso] ON [c_OrigenRecurso]
	DROP INDEX [IXNC_Impuesto] ON [c_Impuesto]
	DROP INDEX [IXNCR_Impuesto] ON [c_Impuesto]
	DROP INDEX [IXNC_TipoNomina] ON [c_TipoNomina]
	DROP INDEX [IXNCR_TipoNomina] ON [c_TipoNomina]
	DROP INDEX [IXNC_TipoContrato] ON [c_TipoContrato]
	DROP INDEX [IXNCR_TipoContrato] ON [c_TipoContrato]
	DROP INDEX [IXNC_TipoJornada] ON [c_TipoJornada]
	DROP INDEX [IXNCR_TipoJornada] ON [c_TipoJornada]
	DROP INDEX [IXNC_RiesgoPuesto] ON [c_RiesgoPuesto]
	DROP INDEX [IXNCR_RiesgoPuesto] ON [c_RiesgoPuesto]
	DROP INDEX [IXNC_Banco] ON [c_Banco]
	DROP INDEX [IXNCR_Banco] ON [c_Banco]
	DROP INDEX [IXNC_Estado] ON [c_Estado]
	DROP INDEX [IXNCR_Estado] ON [c_Estado]
	DROP INDEX [IXNC_TipoDeduccion] ON [c_TipoDeduccion]
	DROP INDEX [IXNCR_TipoDeduccion] ON [c_TipoDeduccion]
	DROP INDEX [IXNC_TipoOtroPago] ON [c_TipoOtroPago]
	DROP INDEX [IXNCR_TipoOtroPago] ON [c_TipoOtroPago]
	DROP INDEX [IXNC_TipoPercepcion] ON [c_TipoPercepcion]
	DROP INDEX [IXNCR_TipoPercepcion] ON [c_TipoPercepcion]
	DROP INDEX [IXNC_TipoCadena] ON [c_TipoCadena]
	DROP INDEX [IXNCR_TipoCadena] ON [c_TipoCadena]
	DROP INDEX [IXNC_CodigoPostal] ON [c_CodigoPostal]
	DROP INDEX [IXNC_ClaveProdServ] ON [c_ClaveProdServ]
	DROP INDEX [IXNCR_ClaveProdServ] ON [c_ClaveProdServ]
	DROP INDEX [IXNC_ClaveUnidad] ON [c_ClaveUnidad]
	DROP INDEX [IXNCR_ClaveUnidad] ON [c_ClaveUnidad]
	DROP INDEX [IXNC_TipoIncapacidad] ON [c_TipoIncapacidad]
	DROP INDEX [IXNCR_TipoIncapacidad] ON [c_TipoIncapacidad]
	DROP INDEX [IXNC_TipoHoras] ON [c_TipoHoras]
	DROP INDEX [IXNCR_TipoHoras] ON [c_TipoHoras]
	DROP INDEX [IXNC_Pais] ON [c_Pais]
	DROP INDEX [IXNCR_Pais] ON [c_Pais]
	DROP INDEX [IXNC_Retencion] ON [c_Retenciones]
	DROP INDEX [IXNCR_Retencion] ON [c_Retenciones]
	DROP INDEX [IXNC_UsoCfdi] ON [c_UsoCfdi]
	DROP INDEX [IXNCR_UsoCfdi] ON [c_UsoCfdi]
	DROP INDEX [IXNC_RetencionesImpuestos] ON [c_RetencionesImpuestos]
	DROP INDEX [IXNCR_RetencionesImpuestos] ON [c_RetencionesImpuestos]
	DROP INDEX [IXNC_Regimen] ON [c_Regimen]
	DROP INDEX [IXNCR_Regimen] ON [c_Regimen]
	DROP INDEX [IXNC_TipoDeComprobante] ON [c_TipoDeComprobante]
	DROP INDEX [IXNCR_TipoDeComprobante] ON [c_TipoDeComprobante]
	DROP INDEX [IXNC_CatPlanesDeRetiro] ON [c_TipoAportODep]
	DROP INDEX [IXNCR_CatPlanesDeRetiro] ON [c_TipoAportODep]
	DROP INDEX [IXNC_c_Aduanas] ON [c_Aduanas]
	DROP INDEX [IXNCR_c_Aduanas] ON [c_Aduanas]
	DROP INDEX [IXNC_c_CFDIBancoR] ON [c_CFDIBancoR]
	DROP INDEX [IXNCR_c_CFDIBancoR] ON [c_CFDIBancoR]
	DROP INDEX [IXNC_c_CodAgrup] ON [c_CodAgrup]
	DROP INDEX [IXNCR_c_CodAgrup] ON [c_CodAgrup]
	DROP INDEX [IXNC_c_CatCodMoneda] ON [c_CatCodMoneda]
	DROP INDEX [IXNCR_c_CatCodMoneda] ON [c_CatCodMoneda]
	DROP INDEX [IXNC_c_ConceptoPago] ON [c_ConceptoPago]
	DROP INDEX [IXNCR_c_ConceptoPago] ON [c_ConceptoPago]
	DROP INDEX [IXNC_c_CveTipDivOUtil] ON [c_CveTipDivOUtil]
	DROP INDEX [IXNCR_c_CveTipDivOUtil] ON [c_CveTipDivOUtil]
	DROP INDEX [IXNC_c_MetPag] ON [c_MetPag]
	DROP INDEX [IXNCR_c_MetPag] ON [c_MetPag]
	DROP INDEX [IXNC_c_UnidadAduana] ON [c_UnidadAduana]
	DROP INDEX [IXNCR_c_UnidadAduana] ON [c_UnidadAduana]  
	ALTER TABLE [Control] ALTER COLUMN [Catalogo] varchar (150) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Control] ALTER COLUMN [Version] varchar (5) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Control] ALTER COLUMN [Storage] varchar (60) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [Control] ALTER COLUMN [TagReporting] varchar (150) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_PeriodicidadPago] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_PeriodicidadPago] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_MetPag] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_MetPag] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_MetPag] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_UnidadAduana] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_UnidadAduana] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_UnidadAduana] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_ConceptoPago] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_ConceptoPago] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_ConceptoPago] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CveTipDivOUtil] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CveTipDivOUtil] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CveTipDivOUtil] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CodAgrup] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CodAgrup] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CodAgrup] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CatCodMoneda] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CatCodMoneda] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CatCodMoneda] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Aduanas] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Aduanas] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Aduanas] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CFDIBancoR] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CFDIBancoR] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CFDIBancoR] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoDeComprobante] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoDeComprobante] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoDeComprobante] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoAportODep] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoAportODep] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoAportODep] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_RetencionesImpuestos] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_RetencionesImpuestos] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_RetencionesImpuestos] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Regimen] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Regimen] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Regimen] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Retenciones] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Retenciones] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Retenciones] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_UsoCfdi] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_UsoCfdi] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_UsoCfdi] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoHoras] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoHoras] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoHoras] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Pais] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Pais] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Pais] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_ClaveUnidad] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_ClaveUnidad] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_ClaveUnidad] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoIncapacidad] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoIncapacidad] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoIncapacidad] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoCadena] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CodigoPostal] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_CodigoPostal] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_ClaveProdServ] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_ClaveProdServ] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_ClaveProdServ] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoOtroPago] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoPercepcion] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoPercepcion] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoPercepcion] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoCadena] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoCadena] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Estado] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoDeduccion] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoDeduccion] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoDeduccion] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoOtroPago] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoOtroPago] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_RiesgoPuesto] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Banco] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Banco] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Banco] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Estado] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Estado] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoContrato] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoJornada] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoJornada] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoJornada] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_RiesgoPuesto] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_RiesgoPuesto] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Impuesto] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoNomina] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoNomina] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoNomina] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoContrato] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoContrato] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_MetodoPago] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_OrigenRecurso] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_OrigenRecurso] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_OrigenRecurso] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Impuesto] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Impuesto] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Moneda] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoRiesgo] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoRiesgo] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoRiesgo] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_MetodoPago] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_MetodoPago] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_RegimenFiscal] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_FormaPago] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_FormaPago] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_FormaPago] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Moneda] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_Moneda] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_PeriodicidadPago] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoRelacion] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoRelacion] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_TipoRelacion] ALTER COLUMN [Valor] varchar (255) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_RegimenFiscal] ALTER COLUMN [Codigo] varchar (20) COLLATE Modern_Spanish_CI_AS
	ALTER TABLE [c_RegimenFiscal] ALTER COLUMN [CodigoReporting] varchar (20) COLLATE Modern_Spanish_CI_AS
	CREATE CLUSTERED INDEX IX_Control ON Control (IdCatalogo,Catalogo,Storage)
	CREATE CLUSTERED INDEX IX_ClaveProdServ ON c_ClaveProdServ (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_ClaveProdServ ON c_ClaveProdServ (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_ClaveProdServ ON c_ClaveProdServ (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_PeriodicidadPago ON c_PeriodicidadPago (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_PeriodicidadPago ON c_PeriodicidadPago (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_PeriodicidadPago ON c_PeriodicidadPago (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoRelacion ON c_TipoRelacion (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoRelacion ON c_TipoRelacion (Codigo)
	CREATE NONCLUSTERED INDEX IXNCR_TipoRelacion ON c_TipoRelacion (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_RegimenFiscal ON c_RegimenFiscal (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_RegimenFiscal ON c_RegimenFiscal (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_RegimenFiscal ON c_RegimenFiscal (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_FormaPago ON c_FormaPago (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_FormaPago ON c_FormaPago (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_FormaPago ON c_FormaPago(CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_Moneda ON c_Moneda (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_Moneda ON c_Moneda (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_Moneda ON c_Moneda(CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoRiesgo ON c_TipoRiesgo (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoRiesgo ON c_TipoRiesgo (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoRiesgo ON c_TipoRiesgo (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_MetodoPago ON c_MetodoPago (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_MetodoPago ON c_MetodoPago (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_MetodoPago ON c_MetodoPago(CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_OrigenRecurso ON c_OrigenRecurso (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_OrigenRecurso ON c_OrigenRecurso (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_OrigenRecurso ON c_OrigenRecurso (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_Impuesto ON c_Impuesto (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_Impuesto ON c_Impuesto (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_Impuesto ON c_Impuesto (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoNomina ON c_TipoNomina (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoNomina ON c_TipoNomina (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoNomina ON c_TipoNomina (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoContrato ON c_TipoContrato (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoContrato ON c_TipoContrato (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoContrato ON c_TipoContrato (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoJornada ON c_TipoJornada (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoJornada ON c_TipoJornada (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoJornada ON c_TipoJornada (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_RiesgoPuesto ON c_RiesgoPuesto (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_RiesgoPuesto ON c_RiesgoPuesto (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_RiesgoPuesto ON c_RiesgoPuesto (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_Banco ON c_Banco (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_Banco ON c_Banco (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_Banco ON c_Banco (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_Estado ON c_Estado (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_Estado ON c_Estado (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_Estado ON c_Estado (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoDeduccion ON c_TipoDeduccion (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoDeduccion ON c_TipoDeduccion (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoDeduccion ON c_TipoDeduccion (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoOtroPago ON c_TipoOtroPago (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoOtroPago ON c_TipoOtroPago (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoOtroPago ON c_TipoOtroPago (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoPercepcion ON c_TipoPercepcion (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoPercepcion ON c_TipoPercepcion (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoPercepcion ON c_TipoPercepcion (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoCadena ON c_TipoCadena (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoCadena ON c_TipoCadena (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoCadena ON c_TipoCadena (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_ClaveUnidad ON c_ClaveUnidad (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_ClaveUnidad ON c_ClaveUnidad (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_ClaveUnidad ON c_ClaveUnidad (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoIncapacidad ON c_TipoIncapacidad (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoIncapacidad ON c_TipoIncapacidad (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoIncapacidad ON c_TipoIncapacidad (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoHoras ON c_TipoHoras (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoHoras ON c_TipoHoras (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoHoras ON c_TipoHoras (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_Pais ON c_Pais (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_Pais ON c_Pais (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_Pais ON c_Pais (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_Retencion ON c_Retenciones (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_Retencion ON c_Retenciones (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_Retencion ON c_Retenciones (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_UsoCfdi ON c_UsoCfdi (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_UsoCfdi ON c_UsoCfdi (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_UsoCfdi ON c_UsoCfdi (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_RetencionesImpuestos ON c_RetencionesImpuestos (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_RetencionesImpuestos ON c_RetencionesImpuestos (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_RetencionesImpuestos ON c_RetencionesImpuestos (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_Regimen ON c_Regimen (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_Regimen ON c_Regimen (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_Regimen ON c_Regimen (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_TipoDeComprobante ON c_TipoDeComprobante (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_TipoDeComprobante ON c_TipoDeComprobante (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_TipoDeComprobante ON c_TipoDeComprobante (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_CodigoPostal ON c_CodigoPostal (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_CodigoPostal ON c_CodigoPostal (Codigo,Valor)
	CREATE CLUSTERED INDEX IX_CatPlanesDeRetiro ON c_TipoAportODep (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_CatPlanesDeRetiro ON c_TipoAportODep (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_CatPlanesDeRetiro ON c_TipoAportODep (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_c_Aduanas ON c_Aduanas (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_c_Aduanas ON c_Aduanas (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_c_Aduanas ON c_Aduanas (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_c_CFDIBancoR ON c_CFDIBancoR (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_c_CFDIBancoR ON c_CFDIBancoR (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_c_CFDIBancoR ON c_CFDIBancoR (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_c_CodAgrup ON c_CodAgrup (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_c_CodAgrup ON c_CodAgrup (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_c_CodAgrup ON c_CodAgrup (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_c_CatCodMoneda ON c_CatCodMoneda (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_c_CatCodMoneda ON c_CatCodMoneda (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_c_CatCodMoneda ON c_CatCodMoneda (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_c_ConceptoPago ON c_ConceptoPago (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_c_ConceptoPago ON c_ConceptoPago (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_c_ConceptoPago ON c_ConceptoPago (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_c_CveTipDivOUtil ON c_CveTipDivOUtil (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_c_CveTipDivOUtil ON c_CveTipDivOUtil (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_c_CveTipDivOUtil ON c_CveTipDivOUtil (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_c_MetPag ON c_MetPag (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_c_MetPag ON c_MetPag (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_c_MetPag ON c_MetPag (CodigoReporting,Valor)
	CREATE CLUSTERED INDEX IX_c_UnidadAduana ON c_UnidadAduana (Codigo)
	CREATE NONCLUSTERED INDEX IXNC_c_UnidadAduana ON c_UnidadAduana (Codigo,Valor)
	CREATE NONCLUSTERED INDEX IXNCR_c_UnidadAduana ON c_UnidadAduana (CodigoReporting,Valor)
END